<?php
$routes->group(
	'cadastro-de-pixels', 
	[
		'namespace' => 'Modules\Cad_pixel\Controllers', 
		'filter' 		=> 'CheckAccessPermission'
	], 
	function ($routes) {
		$routes->get('/', 'Cad_pixel::listagem');

		$routes->match(['get', 'post'], 'novo-cadastro', 'Cad_pixel::cadastrar');
		$routes->post('cadastrando', 'Cad_pixel::cadastrando');
		
		$routes->match(['get', 'post'], 'alterando-cadastro/(:any)', 'Cad_pixel::alterar/$1');
		$routes->post('atualizando-cadastro/(:any)', 'Cad_pixel::alterando/$1');
		
		$routes->get('deletando-cadastro/(:any)', 'Cad_pixel::deletar/$1');
	}
);